
package de.ivu.elect.presentation.gebietsbaum.menu;

import javax.annotation.Nullable;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gebietsbaum.GebietPruefkennzeichenGenerierenView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

/**
 *  on 20.07.2016.
 */
public class GebietPruefkennzeichenGenerierenMenuItemEntry extends AbstractGebietMenuItemEntry {

  private static final long serialVersionUID = 1L;


  public GebietPruefkennzeichenGenerierenMenuItemEntry() {
    super();
  }

  @Nullable
  @Override
  public String getTargetViewId() {
    return GebietPruefkennzeichenGenerierenView.VIEW_ID;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEBIET_PRUEFKENNZEICHEN_GENERIEREN;
  }

  @Override
  public String getLabelKey() {
    return "gebiet.pruefkennzeichen.generieren.menu.item";
  }


  @Override
  public String getIcon() {
    return getIcons().getIconCircleCheck();
  }
}
